This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 4659 - NFS CDROM install fails
NFS CDROM install fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-22 23:48 EDT by Henri J. Schlereth
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-11 11:49:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Henri J. Schlereth 1999-08-22 23:48:38 EDT
Test with Kernel 2.2.5-22, 2.2.11-1 (rawhide)
During the course of trying to do a NFS install with
both the original img files and your updates the
following happens (same target machine, different NFS
mounted CDROM machines (2) ).

Target machine has a signal 7
Source machine generates:
(example from one)

cave kernel: find_fh_dentry: 03:40, 188620/192636 not found
-- need full search!

also dmesg|more shows:

lookup_inode: looping?? (ino=178380, path=/libc-2.1.1.so)
lookup_by_inode: found libc-2.1.1.so (repeatedly)

copying the CD to the hard-drive and the install works.

Target machine
486DX66 16MB RAM 1GB HD 3c503 NIC

Source 1:
486DX66 28MB RAM 3c503 NIC PANASONIC 2X SB-CDROM CR-562A
Kernel 2.2.5-22 (Hedwig)

Source 2:
586DX66 32MB RAM 3c503 NIC 4X IDE CR-581 MATSHITA
Kernel 2.2.11-1 (Rawhide)

Of interest to note is that I can NFS mount the CDROM
in a non-install situation and access without problems
(reading and copying) and at no time do I have problems
with HD NFS mounted partitions.

BTW: what happened to the smb install option? While I was
tearing out my three hairs I wanted to try that and it is
gone.

I have tested all my hardware and apparently everything is
functional. I have done NFS installs on 2 of 4 machines
on prior versions with the same equipment. The NIC cards
all are functional otherwise as well.

I am not sure if this is an installer issue or a combo
installer or kernel and/or knfsd problem.
Comment 1 Jay Turner 2000-02-11 11:48:59 EST
A signal 7 during the installation indicates the the machine is running out of
memory, so this is probably what is happening.  Reopen this bug if you are
continuing to have problems on a machine with more memory.

Note You need to log in before you can comment on or make changes to this bug.